package com.game.data;

import java.util.HashMap;
import java.util.Map;

/**
 * 玩家积分统计
 * 
 *
 * 2017年9月19日
 */
public class Score {

	public Map<Integer, Integer>	round_log;

	/**
	 * 每局的积分统计
	 */
	public int						round_score;
	/**
	 * 每局的积分统计 对方积分不够的情况下， 会存在小数点问题
	 */
	public double d_real_score;
	/**
	 * 总积分统计
	 */
	public int						total_score;

	public boolean					negative_score;

	protected Player				owner;

	public Score(Player owner) {
		this.owner = owner;
		this.round_log = new HashMap<>();
		this.negative_score = false;
		this.d_real_score = 0;
		this.initLog();
	}

	protected void initLog() {
	}

	public void resetRound() {
		this.round_log.clear();
		this.initLog();
		round_score = 0;
		this.d_real_score = 0;
		negative_score = false;
	}

}
